## dafny 1.9.7

=== Source/Dafny/Makefile ===

# ###############################################################################
# The frame files are no longer in this directory. They must be downloaded
# from http://boogiepartners.codeplex.com/. Update the FRAME_DIR variable to
# point to whatever directory you install that into.
# ###############################################################################
COCO_EXE_DIR = ..\..\..\boogie-partners\CocoR\bin
FRAME_DIR = ..\..\..\boogie-partners\CocoR\Modified
COCO = $(COCO_EXE_DIR)\Coco.exe

# "all" depends on 2 files, really (Parser.cs and Scanner.cs), but they
# are both generated in one go and I don't know a better way to tell
# nmake that.  --KRML
all: Parser.cs

Parser.cs: $(FRAME_DIR)\scanner.frame $(FRAME_DIR)\parser.frame Dafny.atg
	$(COCO) Dafny.atg -namespace Microsoft.Dafny -frames $(FRAME_DIR)

clean:
	if exist Scanner.cs del Scanner.cs
	if exist Scanner.cs.old del Scanner.cs.old
	if exist Parser.cs del Parser.cs
	if exist Parser.cs.old del Parser.cs.old

=== debian/changelog ===
dafny (1.9.7-1) unstable; urgency=medium

  * New upstream release.

 -- Benjamin Barenblat <bbaren@mit.edu>  Sun, 05 Jun 2016 17:10:37 -0400

dafny (1.9.5-1) unstable; urgency=medium

  * Initial release.

 -- Benjamin Barenblat <bbaren@mit.edu>  Wed, 06 Apr 2016 16:48:37 -0400

=== debian/control ===
Source: dafny
Section: devel
Priority: extra
Maintainer: Benjamin Barenblat <bbaren@mit.edu>
Build-Depends:
 debhelper (>= 9)
Build-Depends-Indep:
 cli-common-dev (>= 0.8),
 libboogie-cil,
 mono-devel (>= 2.4.2.3),
 mono-reference-assemblies-4.0
Standards-Version: 3.9.8
Homepage: https://research.microsoft.com/en-us/projects/dafny/

Package: dafny
Architecture: all
Depends:
 mono-mcs,
 z3,
 ${cli:Depends},
 ${misc:Depends}
Description: programming language with program correctness verifier
 Dafny is a programming language with a program verifier.  The verifier
 processes function preconditions, postconditions, and assertions, and sends
 them to an SMT solver for checking.  In this way, assertion failures become
 compiler errors, rather than runtime ones.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with cli

.PHONY: override_dh_auto_build
override_dh_auto_build:
	cp -a /usr/lib/boogie/* Binaries
	mkdir -p Source/Dafny/bin/Checked
	cp -a /usr/lib/boogie/* Source/Dafny/bin/Checked
	xbuild Source/Dafny.sln

=== debian/watch ===
# Upstream uses CodePlex and therefore cannot be tracked with uscan.  See
# <20121105142302.GA12244@an3as.eu> and replies, available online at
# <https://lists.debian.org/debian-mentors/2012/11/msg00071.html>.
#
#  -- Benjamin Barenblat <bbaren@mit.edu>  Fri 14 Aug 2015 16:17:05 -0400

## dafny 2.3.0+dfsg

=== Source/Dafny/Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 # from http://boogiepartners.codeplex.com/. Update the FRAME_DIR variable to
 # point to whatever directory you install that into.
 # ###############################################################################
-COCO_EXE_DIR = ..\..\..\boogie-partners\CocoR\bin
-FRAME_DIR = ..\..\..\boogie-partners\CocoR\Modified
+COCO_EXE_DIR = ..\..\third_party\Coco\bin
+FRAME_DIR = ..\..\third_party\Coco\src
 COCO = $(COCO_EXE_DIR)\Coco.exe
 
 # "all" depends on 2 files, really (Parser.cs and Scanner.cs), but they

=== debian/changelog ===
dafny (2.3.0+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Update watch file.
  * Upgrade to debhelper compat level 12.
  * Upgrade to Standards-Version 4.4.1.
  * Change Priority from extra to optional in debian/control.
  * Make the package build again (Closes: #852645, #934950).
  * Enable autopkgtest package testing and add ackermann-{pos,neg} tests.
  * Update debian/copyright.
  * Update patch use_system_z3.diff.
  * Add Vcs-Git and Vcs-Browser fields in debian/control.

 -- Fabian Wolff <fabi.wolff@arcor.de>  Tue, 14 Jan 2020 21:27:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: dafny
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Benjamin Barenblat <bbaren@mit.edu>
-Build-Depends:
- debhelper (>= 9)
-Build-Depends-Indep:
- cli-common-dev (>= 0.8),
- libboogie-cil,
- mono-devel (>= 2.4.2.3),
- mono-reference-assemblies-4.0
-Standards-Version: 3.9.8
+Build-Depends: debhelper-compat (= 12),
+               cli-common-dev,
+               libboogie-cil,
+               mono-devel
+Standards-Version: 4.4.1
 Homepage: https://research.microsoft.com/en-us/projects/dafny/
+Vcs-Git: https://salsa.debian.org/debian/dafny.git
+Vcs-Browser: https://salsa.debian.org/debian/dafny
 
 Package: dafny
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode
# export DH_VERBOSE = 1

%:
	dh $@ --with cli

override_dh_auto_build:
	cp Source/Dafny/DafnyPipeline.csproj Source/Dafny/DafnyPipeline.csproj.save
	sed -i 's/<Compile Include="Parser.cs" Visible="False" \/>/<Compile Include="Parser.cs" \/>/' Source/Dafny/DafnyPipeline.csproj
	sed -i 's/<Compile Include="Scanner.cs" Visible="False" \/>/<Compile Include="Scanner.cs" \/>/' Source/Dafny/DafnyPipeline.csproj
	sed -i 's/<Import Condition=.*//' Source/Dafny/DafnyPipeline.csproj
	sed -i 's/\.\.\\\.\.\\\.\.\\boogie\\Binaries/\/usr\/lib\/boogie/' Source/Dafny/DafnyPipeline.csproj

	cp Source/DafnyDriver/DafnyDriver.csproj Source/DafnyDriver/DafnyDriver.csproj.save
	sed -i 's/<Import Condition=.*//' Source/DafnyDriver/DafnyDriver.csproj
	sed -i 's/\.\.\\\.\.\\\.\.\\boogie\\Binaries/\/usr\/lib\/boogie/' Source/DafnyDriver/DafnyDriver.csproj

	cp Source/DafnyRuntime/DafnyRuntime.csproj Source/DafnyRuntime/DafnyRuntime.csproj.save
	sed -i 's/<Import Condition=.*//' Source/DafnyRuntime/DafnyRuntime.csproj

	cp Source/DafnyServer/DafnyServer.csproj Source/DafnyServer/DafnyServer.csproj.save
	sed -i 's/<Import Condition=.*//' Source/DafnyServer/DafnyServer.csproj
	sed -i 's/\.\.\\\.\.\\\.\.\\boogie\\Binaries/\/usr\/lib\/boogie/' Source/DafnyServer/DafnyServer.csproj

	cp Source/DafnyMenu/DafnyMenu.csproj Source/DafnyMenu/DafnyMenu.csproj.save
	sed -i 's/<Import Condition=.*//' Source/DafnyMenu/DafnyMenu.csproj
	sed -i 's/\.\.\\\.\.\\\.\.\\boogie\\Binaries/\/usr\/lib\/boogie/' Source/DafnyMenu/DafnyMenu.csproj

	cp Source/DafnyExtension/DafnyExtension.csproj Source/DafnyExtension/DafnyExtension.csproj.save
	sed -i 's/<Import Condition=.*//' Source/DafnyExtension/DafnyExtension.csproj
	sed -i 's/\.\.\\\.\.\\\.\.\\boogie\\Binaries/\/usr\/lib\/boogie/' Source/DafnyExtension/DafnyExtension.csproj

	xbuild /p:TargetFrameworkVersion=v4.0 Source/Dafny.sln

	mv Source/DafnyExtension/DafnyExtension.csproj.save Source/DafnyExtension/DafnyExtension.csproj
	mv Source/DafnyMenu/DafnyMenu.csproj.save Source/DafnyMenu/DafnyMenu.csproj
	mv Source/DafnyServer/DafnyServer.csproj.save Source/DafnyServer/DafnyServer.csproj
	mv Source/DafnyRuntime/DafnyRuntime.csproj.save Source/DafnyRuntime/DafnyRuntime.csproj
	mv Source/DafnyDriver/DafnyDriver.csproj.save Source/DafnyDriver/DafnyDriver.csproj
	mv Source/Dafny/DafnyPipeline.csproj.save Source/Dafny/DafnyPipeline.csproj

=== debian/tests/control ===
Tests: ackermann-pos ackermann-neg
Depends: @

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,repack, \
    dversionmangle=auto, \
    filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%dafny-$1.tar.gz%" \
    https://github.com/dafny-lang/dafny/releases \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
